;
;	>> Power Of 2 <<
;
;	A 32 bytes intro for the Atari 800 XL (c) 2010-10-16 by JAC!
;
;	Draws the Pascal's Triangle Modulo 2 as an approximation of the Sierpinski triangle.
;	See http://en.wikipedia.org/wiki/Sierpinski_triangle#Properties.
;	Probably one of the very few reasonable effects which are possible in 32 byte - 6 bytes headers = 26 bytes.
;
;	Inspired by "sierp2", see http://www.pouet.net/prod.php?which=56064.
;	Thanks for that, I really love it's mathematical beauty.
;
;	This version requires on Atari 800 XL with an Revsion C OS to work.
;	Versions for the other OS version will follow.
;
;	Created using WUDSN IDE. Visit http://www.wudsn.com to increase my hit counter.


*	= $2000

start
	lda #8		;Graphics 8 hires mode
	jsr $ef9c	;Illegal entry point in REV C OS, returns with C=1
loop 	ldy #0		;Current line
 	lda (88),y
 	ror		;Rotate into carry bit
 	eor (88),y
 	ldy #40		;Next line
 	sta (88),y
 	inc 88
 	bne loop
 	inc 89
 	dec $53		;RMARGIN is initialized to 39 by the OS
 	bne loop
 			;There will be BRK, so the system will stop


 